%define upstream_name    Flickr-Upload
%define upstream_version 1.51

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Upload images to flickr.com
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Flickr/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Flickr::API) >= 1.90.0
BuildRequires: perl(Getopt::Long) >= 1.0.0
BuildRequires: perl(HTTP::Request::Common) >= 1.0.0
BuildRequires: perl(LWP::UserAgent) >= 1.0.0
BuildRequires: perl(Pod::Usage) >= 1.0.0
BuildRequires: perl(XML::Simple) >= 2.0.0
BuildRequires: perl-Flickr-API
BuildRequires: perl-XML-Parser-Lite-Tree
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
Upload an image to flickr.com

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std
# Should be in a new package as it requires additionnal libs
rm -f %{buildroot}%{_bindir}/thickr_upload

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Flickr
%{_mandir}/*/*
%{_bindir}/flickr_upload

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.510.0-2.mga6
+ Revision: 1027634
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.510.0-1.mga6
+ Revision: 1001933
- update to 1.51

* Fri Feb 19 2016 umeabot <umeabot> 1.500.0-2.mga6
+ Revision: 968786
- Mageia 6 Mass Rebuild

* Fri Jul 17 2015 shlomif <shlomif> 1.500.0-1.mga6
+ Revision: 854924
- Add missing BR
- New version 1.5

* Sat Oct 18 2014 umeabot <umeabot> 1.400.0-4.mga5
+ Revision: 788345
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.400.0-3.mga5
+ Revision: 744201
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.400.0-2.mga5
+ Revision: 684801
- Mageia 5 Mass Rebuild

* Fri Jul 25 2014 sander85 <sander85> 1.400.0-1.mga5
+ Revision: 656447
- update to 1.4

* Fri Oct 18 2013 umeabot <umeabot> 1.320.0-3.mga4
+ Revision: 511683
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.320.0-2.mga3
+ Revision: 367508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.320.0-1.mga1
+ Revision: 37429
- mageia rebuild
- imported package perl-Flickr-Upload


* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 1.320.0-1mdv2010.0
+ Revision: 410058
- rebuild using %%perl_convert_version

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.32-1mdv2009.1
+ Revision: 292163
- update to new version 1.32

* Fri Jun 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.31-1mdv2009.0
+ Revision: 227493
- new version

* Tue Mar 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-1mdv2008.1
+ Revision: 185152
- new version
  drop patch 0, merged upstream

* Sat Mar 08 2008 Pascal Terjan <pterjan@mandriva.org> 1.29-3mdv2008.1
+ Revision: 182097
- Fix handling of gzipped responses

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-2mdv2008.0
+ Revision: 90053
- rebuild

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2008.0
+ Revision: 48066
- new version

  + Pascal Terjan <pterjan@mandriva.org>
    - 1.28

* Fri Apr 20 2007 Pascal Terjan <pterjan@mandriva.org> 1.25-1mdv2008.0
+ Revision: 15219
- 1.25
- use mkrel


* Wed Feb 08 2006 Pascal Terjan <pterjan@mandriva.org> 1.22-2mdk
- BuildRequires perl-libwww-perl for make test

* Wed Aug 31 2005 Pascal Terjan <pterjan@mandriva.org> 1.22-1mdk
- 1.22

* Sat Aug 20 2005 Pascal Terjan <pterjan@mandriva.org> 1.18-1mdk
- First version of the package

